Bug 840322 - non-existent plymouth stay running during OS life
non-existent plymouth stay running during OS life
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
17
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 17:05 EDT by Frantisek Hanzlik
Modified: 2013-08-01 06:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:19:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Hanzlik 2012-07-15 17:05:58 EDT
Description of problem:
Although I uninstall all plymouth-* packages, after reboot there is all the time plymouthd process:

# ps xaw|grep plym
  153 ?        S      0:00 /bin/plymouthd --attach-to-session --pid-file /run/plymouth/pid

Version-Release number of selected component (if applicable):
plymouth-0.8.5-0.2012.04.27.1.fc17.i686

Expected results:
plymouthd should not be running/stay running

Additional info:
I suppose that process was running from initramfs ("/bin/plymouthd" not exist on root fs) and perhaps after creating new initramfs from dracut this program will not be at initramfs too (and thus can it not be running), but what if I never create new initramfs? More, even if it is still present in initramfs, I have no "rhgb" parameter on kernel commandline - thus I think isn't any reason for its starting.
Comment 1 Frantisek Hanzlik 2012-07-16 09:34:23 EDT
i must refine this issue: it seems as from initramfs running plymouthd has attached console (/dev/tty1) and is impossible login at it.
But i was able switch to other /dev/ttyX with ALT/Fx, and there keyboard input work and login is possible.
Also, killing plymouthd process help and /dev/tty1 is acessible from keyboard.
Comment 2 Ray Strode [halfline] 2012-07-17 17:41:48 EDT
try rebuilding your initramfs with

 dracut -f

plymouth gets started before your root filesystem is mounted.
Comment 3 Fedora End Of Life 2013-07-03 23:09:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 06:19:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.